Subject: Edebug always stops when execution enters an instrumented function
From: Paul Pogonyshev <[email-masked]>
To: [email-masked]
Date: Thu, 27 Aug 2015 22:03:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This more of a feature request: make edebug stop when entering such a
function _optionally_.

Usecase: I want to debug certain function, but only when it takes specific
execution route. I instrument the function, set a breakpoint where I want
to debug it. But in addition to the breakpoint, edebug also pauses each
time the function is entered and I see no way to disable it.

In some cases this is a mere annoyance, in others it makes debugging
impossible. For example, currently I want to debug 'auto-revert-handler'
which somehow reverts buffer where both Auto Revert and Auto Revert Tail
modes are disabled. However, I can never make Edebug stop on

    (message "Reverting buffer `%s'." (buffer-name)))

line (though I see it _is_ executed, if only from the *Messages* buffer).
It always stops at the beginning of the function instead.

Paul